<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:08 CET 2009 -->
<TITLE>
BornDieEfmModel
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.metabolic.efm.borndie.model.BornDieEfmModel class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="BornDieEfmModel";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/BornDieEfmModel.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;<A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/model/BornDieEfmModelFactory.html" title="class in ch.javasoft.metabolic.efm.borndie.model"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../index.html?ch/javasoft/metabolic/efm/borndie/model/BornDieEfmModel.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="BornDieEfmModel.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_classes_inherited_from_class_ch.javasoft.metabolic.efm.model.DefaultEfmModel">NESTED</A>&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_ch.javasoft.metabolic.efm.model.nullspace.NullspaceEfmModel">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.metabolic.efm.borndie.model</FONT>
<BR>
Class BornDieEfmModel</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../../../ch/javasoft/metabolic/efm/model/DefaultEfmModel.html" title="class in ch.javasoft.metabolic.efm.model">ch.javasoft.metabolic.efm.model.DefaultEfmModel</A>
      <IMG SRC="../../../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../../../ch/javasoft/metabolic/efm/model/AbstractNetworkEfmModel.html" title="class in ch.javasoft.metabolic.efm.model">ch.javasoft.metabolic.efm.model.AbstractNetworkEfmModel</A>
          <IMG SRC="../../../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../../../ch/javasoft/metabolic/efm/model/nullspace/NullspaceEfmModel.html" title="class in ch.javasoft.metabolic.efm.model.nullspace">ch.javasoft.metabolic.efm.model.nullspace.NullspaceEfmModel</A>
              <IMG SRC="../../../../../../resources/inherit.gif" ALT="extended by "><B>ch.javasoft.metabolic.efm.borndie.model.BornDieEfmModel</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../../../../ch/javasoft/metabolic/efm/model/EfmModel.html" title="interface in ch.javasoft.metabolic.efm.model">EfmModel</A>, <A HREF="../../../../../../ch/javasoft/metabolic/efm/model/NetworkEfmModel.html" title="interface in ch.javasoft.metabolic.efm.model">NetworkEfmModel</A>, <A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/RankUpRoot.html" title="interface in ch.javasoft.metabolic.efm.rankup">RankUpRoot</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public class <A HREF="../../../../../../src-html/ch/javasoft/metabolic/efm/borndie/model/BornDieEfmModel.html#line.52"><B>BornDieEfmModel</B></A><DT>extends <A HREF="../../../../../../ch/javasoft/metabolic/efm/model/nullspace/NullspaceEfmModel.html" title="class in ch.javasoft.metabolic.efm.model.nullspace">NullspaceEfmModel</A></DL>
</PRE>

<P>
Model for born/die implementation, based on nullspace approach. It is 
 basically the same as the <A HREF="../../../../../../ch/javasoft/metabolic/efm/model/nullspace/NullspaceEfmModel.html" title="class in ch.javasoft.metabolic.efm.model.nullspace"><CODE>nullspace model</CODE></A>, but
 numeric values cannot be converted to binary. Furthermore, multi-threading
 for adjacency enumeration is different since the born/die algorithm uses its
 own paralellization strategy.
<P>

<P>
<HR>

<P>
<!-- ======== NESTED CLASS SUMMARY ======== -->

<A NAME="nested_class_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Nested Class Summary</B></FONT></TH>
</TR>
</TABLE>
&nbsp;<A NAME="nested_classes_inherited_from_class_ch.javasoft.metabolic.efm.model.DefaultEfmModel"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Nested classes/interfaces inherited from class ch.javasoft.metabolic.efm.model.<A HREF="../../../../../../ch/javasoft/metabolic/efm/model/DefaultEfmModel.html" title="class in ch.javasoft.metabolic.efm.model">DefaultEfmModel</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../../ch/javasoft/metabolic/efm/model/DefaultEfmModel.Init.html" title="class in ch.javasoft.metabolic.efm.model">DefaultEfmModel.Init</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<A NAME="nested_classes_inherited_from_class_ch.javasoft.metabolic.efm.model.NetworkEfmModel"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Nested classes/interfaces inherited from interface ch.javasoft.metabolic.efm.model.<A HREF="../../../../../../ch/javasoft/metabolic/efm/model/NetworkEfmModel.html" title="interface in ch.javasoft.metabolic.efm.model">NetworkEfmModel</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../../ch/javasoft/metabolic/efm/model/NetworkEfmModel.Partition.html" title="enum in ch.javasoft.metabolic.efm.model">NetworkEfmModel.Partition</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_ch.javasoft.metabolic.efm.model.nullspace.NullspaceEfmModel"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from class ch.javasoft.metabolic.efm.model.nullspace.<A HREF="../../../../../../ch/javasoft/metabolic/efm/model/nullspace/NullspaceEfmModel.html" title="class in ch.javasoft.metabolic.efm.model.nullspace">NullspaceEfmModel</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../../ch/javasoft/metabolic/efm/model/nullspace/NullspaceEfmModel.html#kernelMatrix">kernelMatrix</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/model/BornDieEfmModel.html#BornDieEfmModel(ch.javasoft.metabolic.efm.column.ColumnHome, ch.javasoft.metabolic.MetabolicNetwork, ch.javasoft.metabolic.efm.config.Config, ch.javasoft.metabolic.efm.model.ColumnInspectorModifierFactory)">BornDieEfmModel</A></B>(<A HREF="../../../../../../ch/javasoft/metabolic/efm/column/ColumnHome.html" title="interface in ch.javasoft.metabolic.efm.column">ColumnHome</A>&lt;N,?&gt;&nbsp;columnHome,
                               <A HREF="../../../../../../ch/javasoft/metabolic/MetabolicNetwork.html" title="interface in ch.javasoft.metabolic">MetabolicNetwork</A>&nbsp;net,
                               <A HREF="../../../../../../ch/javasoft/metabolic/efm/config/Config.html" title="class in ch.javasoft.metabolic.efm.config">Config</A>&nbsp;config,
                               <A HREF="../../../../../../ch/javasoft/metabolic/efm/model/ColumnInspectorModifierFactory.html" title="interface in ch.javasoft.metabolic.efm.model">ColumnInspectorModifierFactory</A>&nbsp;factory)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructor</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/model/BornDieEfmModel.html#getAdjEnumThreads()">getAdjEnumThreads</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the number of threads to use for adjacency enumeration.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/model/BornDieEfmModel.html#getFinalNumericSize()">getFinalNumericSize</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the number of rows in the kernel matrix, minus the initial 
 boolean size.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/model/BornDieEfmModel.html#getNumericSize(int)">getNumericSize</A></B>(int&nbsp;iteration)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the <A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/model/BornDieEfmModel.html#getFinalNumericSize()"><CODE>final numeric size</CODE></A> since
 numeric values cannot be converted to binary.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/model/BornDieEfmModel.html#setAdjEnumThreads(int)">setAdjEnumThreads</A></B>(int&nbsp;threads)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Set the current number of threads to use for adjacency enumeration.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.metabolic.efm.model.nullspace.NullspaceEfmModel"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class ch.javasoft.metabolic.efm.model.nullspace.<A HREF="../../../../../../ch/javasoft/metabolic/efm/model/nullspace/NullspaceEfmModel.html" title="class in ch.javasoft.metabolic.efm.model.nullspace">NullspaceEfmModel</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../../ch/javasoft/metabolic/efm/model/nullspace/NullspaceEfmModel.html#createInitialMemory(ch.javasoft.metabolic.efm.column.ColumnHome, ch.javasoft.metabolic.efm.memory.MemoryFactory)">createInitialMemory</A>, <A HREF="../../../../../../ch/javasoft/metabolic/efm/model/nullspace/NullspaceEfmModel.html#cutOff(ch.javasoft.metabolic.efm.model.NetworkEfmModel.Partition)">cutOff</A>, <A HREF="../../../../../../ch/javasoft/metabolic/efm/model/nullspace/NullspaceEfmModel.html#getBooleanSize(int)">getBooleanSize</A>, <A HREF="../../../../../../ch/javasoft/metabolic/efm/model/nullspace/NullspaceEfmModel.html#getColumnToFluxDistributionConverter(ch.javasoft.metabolic.efm.column.ColumnHome)">getColumnToFluxDistributionConverter</A>, <A HREF="../../../../../../ch/javasoft/metabolic/efm/model/nullspace/NullspaceEfmModel.html#getFinalBooleanSize()">getFinalBooleanSize</A>, <A HREF="../../../../../../ch/javasoft/metabolic/efm/model/nullspace/NullspaceEfmModel.html#getHyperplaneIndex(int)">getHyperplaneIndex</A>, <A HREF="../../../../../../ch/javasoft/metabolic/efm/model/nullspace/NullspaceEfmModel.html#getIterationCount()">getIterationCount</A>, <A HREF="../../../../../../ch/javasoft/metabolic/efm/model/nullspace/NullspaceEfmModel.html#getKernelMatrix(ch.javasoft.metabolic.efm.column.ColumnHome)">getKernelMatrix</A>, <A HREF="../../../../../../ch/javasoft/metabolic/efm/model/nullspace/NullspaceEfmModel.html#log(ch.javasoft.metabolic.efm.column.ColumnHome, java.util.logging.Logger)">log</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.metabolic.efm.model.AbstractNetworkEfmModel"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class ch.javasoft.metabolic.efm.model.<A HREF="../../../../../../ch/javasoft/metabolic/efm/model/AbstractNetworkEfmModel.html" title="class in ch.javasoft.metabolic.efm.model">AbstractNetworkEfmModel</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../../ch/javasoft/metabolic/efm/model/AbstractNetworkEfmModel.html#getColumnFilter()">getColumnFilter</A>, <A HREF="../../../../../../ch/javasoft/metabolic/efm/model/AbstractNetworkEfmModel.html#getMetabolicNetwork()">getMetabolicNetwork</A>, <A HREF="../../../../../../ch/javasoft/metabolic/efm/model/AbstractNetworkEfmModel.html#getOutOfIterationLoopCount()">getOutOfIterationLoopCount</A>, <A HREF="../../../../../../ch/javasoft/metabolic/efm/model/AbstractNetworkEfmModel.html#getReactionMapping()">getReactionMapping</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.metabolic.efm.model.DefaultEfmModel"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class ch.javasoft.metabolic.efm.model.<A HREF="../../../../../../ch/javasoft/metabolic/efm/model/DefaultEfmModel.html" title="class in ch.javasoft.metabolic.efm.model">DefaultEfmModel</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../../ch/javasoft/metabolic/efm/model/DefaultEfmModel.html#getArithmetic()">getArithmetic</A>, <A HREF="../../../../../../ch/javasoft/metabolic/efm/model/DefaultEfmModel.html#getColMapping()">getColMapping</A>, <A HREF="../../../../../../ch/javasoft/metabolic/efm/model/DefaultEfmModel.html#getColumnInspectorModifierFactory()">getColumnInspectorModifierFactory</A>, <A HREF="../../../../../../ch/javasoft/metabolic/efm/model/DefaultEfmModel.html#getConfig()">getConfig</A>, <A HREF="../../../../../../ch/javasoft/metabolic/efm/model/DefaultEfmModel.html#getMetaboliteSorting()">getMetaboliteSorting</A>, <A HREF="../../../../../../ch/javasoft/metabolic/efm/model/DefaultEfmModel.html#getReactionSorting()">getReactionSorting</A>, <A HREF="../../../../../../ch/javasoft/metabolic/efm/model/DefaultEfmModel.html#getRequiredCardinality()">getRequiredCardinality</A>, <A HREF="../../../../../../ch/javasoft/metabolic/efm/model/DefaultEfmModel.html#getRequiredRank()">getRequiredRank</A>, <A HREF="../../../../../../ch/javasoft/metabolic/efm/model/DefaultEfmModel.html#getStoichiometricMatrix(ch.javasoft.metabolic.efm.column.ColumnHome)">getStoichiometricMatrix</A>, <A HREF="../../../../../../ch/javasoft/metabolic/efm/model/DefaultEfmModel.html#getStoichRank()">getStoichRank</A>, <A HREF="../../../../../../ch/javasoft/metabolic/efm/model/DefaultEfmModel.html#getStoichRational()">getStoichRational</A>, <A HREF="../../../../../../ch/javasoft/metabolic/efm/model/DefaultEfmModel.html#zero()">zero</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.metabolic.efm.model.EfmModel"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.metabolic.efm.model.<A HREF="../../../../../../ch/javasoft/metabolic/efm/model/EfmModel.html" title="interface in ch.javasoft.metabolic.efm.model">EfmModel</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../../ch/javasoft/metabolic/efm/model/EfmModel.html#getArithmetic()">getArithmetic</A>, <A HREF="../../../../../../ch/javasoft/metabolic/efm/model/EfmModel.html#getColumnInspectorModifierFactory()">getColumnInspectorModifierFactory</A>, <A HREF="../../../../../../ch/javasoft/metabolic/efm/model/EfmModel.html#getConfig()">getConfig</A>, <A HREF="../../../../../../ch/javasoft/metabolic/efm/model/EfmModel.html#getMetaboliteSorting()">getMetaboliteSorting</A>, <A HREF="../../../../../../ch/javasoft/metabolic/efm/model/EfmModel.html#getReactionSorting()">getReactionSorting</A>, <A HREF="../../../../../../ch/javasoft/metabolic/efm/model/EfmModel.html#getStoichiometricMatrix(ch.javasoft.metabolic.efm.column.ColumnHome)">getStoichiometricMatrix</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_ch.javasoft.metabolic.efm.rankup.RankUpRoot"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from interface ch.javasoft.metabolic.efm.rankup.<A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/RankUpRoot.html" title="interface in ch.javasoft.metabolic.efm.rankup">RankUpRoot</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/RankUpRoot.html#getColMapping()">getColMapping</A>, <A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/RankUpRoot.html#getRequiredCardinality()">getRequiredCardinality</A>, <A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/RankUpRoot.html#getRequiredRank()">getRequiredRank</A>, <A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/RankUpRoot.html#getStoichRank()">getStoichRank</A>, <A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/RankUpRoot.html#getStoichRational()">getStoichRational</A>, <A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/RankUpRoot.html#zero()">zero</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="BornDieEfmModel(ch.javasoft.metabolic.efm.column.ColumnHome, ch.javasoft.metabolic.MetabolicNetwork, ch.javasoft.metabolic.efm.config.Config, ch.javasoft.metabolic.efm.model.ColumnInspectorModifierFactory)"><!-- --></A><H3>
BornDieEfmModel</H3>
<PRE>
public <A HREF="../../../../../../src-html/ch/javasoft/metabolic/efm/borndie/model/BornDieEfmModel.html#line.59"><B>BornDieEfmModel</B></A>(<A HREF="../../../../../../ch/javasoft/metabolic/efm/column/ColumnHome.html" title="interface in ch.javasoft.metabolic.efm.column">ColumnHome</A>&lt;N,?&gt;&nbsp;columnHome,
                       <A HREF="../../../../../../ch/javasoft/metabolic/MetabolicNetwork.html" title="interface in ch.javasoft.metabolic">MetabolicNetwork</A>&nbsp;net,
                       <A HREF="../../../../../../ch/javasoft/metabolic/efm/config/Config.html" title="class in ch.javasoft.metabolic.efm.config">Config</A>&nbsp;config,
                       <A HREF="../../../../../../ch/javasoft/metabolic/efm/model/ColumnInspectorModifierFactory.html" title="interface in ch.javasoft.metabolic.efm.model">ColumnInspectorModifierFactory</A>&nbsp;factory)</PRE>
<DL>
<DD>Constructor
<P>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="getAdjEnumThreads()"><!-- --></A><H3>
getAdjEnumThreads</H3>
<PRE>
public int <A HREF="../../../../../../src-html/ch/javasoft/metabolic/efm/borndie/model/BornDieEfmModel.html#line.69"><B>getAdjEnumThreads</B></A>()</PRE>
<DL>
<DD>Returns the number of threads to use for adjacency enumeration. Returns 
 usually one, but increases towards <A HREF="../../../../../../ch/javasoft/metabolic/efm/config/Config.html#getMaxThreads()"><CODE>Config.getMaxThreads()</CODE></A> for the 
 last bearing columns.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../../ch/javasoft/metabolic/efm/model/EfmModel.html#getAdjEnumThreads()">getAdjEnumThreads</A></CODE> in interface <CODE><A HREF="../../../../../../ch/javasoft/metabolic/efm/model/EfmModel.html" title="interface in ch.javasoft.metabolic.efm.model">EfmModel</A></CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../../../ch/javasoft/metabolic/efm/model/DefaultEfmModel.html#getAdjEnumThreads()">getAdjEnumThreads</A></CODE> in class <CODE><A HREF="../../../../../../ch/javasoft/metabolic/efm/model/DefaultEfmModel.html" title="class in ch.javasoft.metabolic.efm.model">DefaultEfmModel</A></CODE></DL>
</DD>
<DD><DL>

<DT><B>Returns:</B><DD>the number of threads to use for adjacent mode enumeration</DL>
</DD>
</DL>
<HR>

<A NAME="setAdjEnumThreads(int)"><!-- --></A><H3>
setAdjEnumThreads</H3>
<PRE>
public void <A HREF="../../../../../../src-html/ch/javasoft/metabolic/efm/borndie/model/BornDieEfmModel.html#line.77"><B>setAdjEnumThreads</B></A>(int&nbsp;threads)</PRE>
<DL>
<DD>Set the current number of threads to use for adjacency enumeration. This
 method is used by <A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/BornDieController.html" title="class in ch.javasoft.metabolic.efm.borndie"><CODE>BornDieController</CODE></A>.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getFinalNumericSize()"><!-- --></A><H3>
getFinalNumericSize</H3>
<PRE>
public int <A HREF="../../../../../../src-html/ch/javasoft/metabolic/efm/borndie/model/BornDieEfmModel.html#line.112"><B>getFinalNumericSize</B></A>()</PRE>
<DL>
<DD>Returns the number of rows in the kernel matrix, minus the initial 
 boolean size. In the born/die algorithm, numeric values cannot be 
 converted to binary since they are still used by pairing jobs.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../../ch/javasoft/metabolic/efm/model/NetworkEfmModel.html#getFinalNumericSize()">getFinalNumericSize</A></CODE> in interface <CODE><A HREF="../../../../../../ch/javasoft/metabolic/efm/model/NetworkEfmModel.html" title="interface in ch.javasoft.metabolic.efm.model">NetworkEfmModel</A></CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../../../ch/javasoft/metabolic/efm/model/nullspace/NullspaceEfmModel.html#getFinalNumericSize()">getFinalNumericSize</A></CODE> in class <CODE><A HREF="../../../../../../ch/javasoft/metabolic/efm/model/nullspace/NullspaceEfmModel.html" title="class in ch.javasoft.metabolic.efm.model.nullspace">NullspaceEfmModel</A></CODE></DL>
</DD>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="getNumericSize(int)"><!-- --></A><H3>
getNumericSize</H3>
<PRE>
public int <A HREF="../../../../../../src-html/ch/javasoft/metabolic/efm/borndie/model/BornDieEfmModel.html#line.120"><B>getNumericSize</B></A>(int&nbsp;iteration)</PRE>
<DL>
<DD>Returns the <A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/model/BornDieEfmModel.html#getFinalNumericSize()"><CODE>final numeric size</CODE></A> since
 numeric values cannot be converted to binary.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../../ch/javasoft/metabolic/efm/model/NetworkEfmModel.html#getNumericSize(int)">getNumericSize</A></CODE> in interface <CODE><A HREF="../../../../../../ch/javasoft/metabolic/efm/model/NetworkEfmModel.html" title="interface in ch.javasoft.metabolic.efm.model">NetworkEfmModel</A></CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../../../ch/javasoft/metabolic/efm/model/nullspace/NullspaceEfmModel.html#getNumericSize(int)">getNumericSize</A></CODE> in class <CODE><A HREF="../../../../../../ch/javasoft/metabolic/efm/model/nullspace/NullspaceEfmModel.html" title="class in ch.javasoft.metabolic.efm.model.nullspace">NullspaceEfmModel</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>iteration</CODE> - 0 for initial, 1 to n for the normal iterations</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/BornDieEfmModel.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV CLASS&nbsp;
&nbsp;<A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/model/BornDieEfmModelFactory.html" title="class in ch.javasoft.metabolic.efm.borndie.model"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../index.html?ch/javasoft/metabolic/efm/borndie/model/BornDieEfmModel.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="BornDieEfmModel.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;<A HREF="#nested_classes_inherited_from_class_ch.javasoft.metabolic.efm.model.DefaultEfmModel">NESTED</A>&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_ch.javasoft.metabolic.efm.model.nullspace.NullspaceEfmModel">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
